wifi8 2.0.0.0

Data Fields
wifi8_m2m_provision_mode_config_t Struct Reference

`#include <wifi8_types.h>`

## Data Fields
wifi8_m2m_ap_config_t | str_ap_config
char | ac_http_server_domain_name [64]
uint8_t | u8_enable_redirect
wifi8_m2m_ap_config_ext_t | str_ap_config_ext
uint8_t | __pad24__ [3]

## Field Documentation

## ◆ __pad24__

uint8_t __pad24__[3]

## ◆ ac_http_server_domain_name

char ac_http_server_domain_name[64]

the device domain name for http provisioning.

## ◆ str_ap_config

wifi8_m2m_ap_config_t str_ap_config

configuration parameters for the wi_fi ap.

## ◆ str_ap_config_ext

wifi8_m2m_ap_config_ext_t str_ap_config_ext

additional configuration parameters for the wi_fi ap.

## ◆ u8_enable_redirect

uint8_t u8_enable_redirect

a flag to enable/disable http redirect feature for the http provisioning server. if the redirect is enabled, all http traffic (http://url) from the device associated with winc ap will be redirected to the http provisioning web page.

The documentation for this struct was generated from the following file:

- D:/GIT/click_repository/cmake/wifi8/lib_wifi8/include/wifi8_types.h